#### PyKDE - Python Bindings for KDE

# class KArrowButton |
Table of contents
Modules
kdeui Classes
All Classes

Module | kdeui
Class | KArrowButton
Inherits | QPushButton

### methods

- KArrowButton (parent = 0, arrow = Qt .UpArrow, name = 0)

  returns a KArrowButton instance
  Argument | Type | Default
  --- | --- | ---
  parent | QWidget | 0
  arrow | Qt.ArrowType | Qt .UpArrow
  name | char | 0

- arrowTp ()

  returns (int)
  In versions KDE 3.4.0 and above only

- arrowType ()

  returns (Qt.ArrowType)
  In versions KDE 3.4.0 and above only

- drawButton (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | QPainter |

- setArrowTp (tp)

  returns nothing
  In versions KDE 3.4.0 and above only
  Argument | Type | Default
  --- | --- | ---
  tp | int |

- setArrowType (a)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a | Qt.ArrowType |

- sizeHint ()

  returns (QSize)